Bug 324581 - [RHEL4U3] vmstat shows the io is intermittent when dd a big file on a cciss disk
[RHEL4U3] vmstat shows the io is intermittent when dd a big file on a cciss disk
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 05:39 EDT by Zhenyong(Jerry) Jiang
Modified: 2013-07-28 20:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 16:27:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vmstat result (4.59 KB, text/plain)
2007-10-09 05:39 EDT, Zhenyong(Jerry) Jiang
no flags Details

  None (edit)
Description Zhenyong(Jerry) Jiang 2007-10-09 05:39:51 EDT
Description of problem:

The command vmstat shows the system i/o is intermittent when a command of "dd
if=/dev/zero of=/file bs=1024k count=100000" is running on a cciss disk.

Please look at the volume of ”bo“, you can find most of value is zero, It looks
like the IO was always blocked.

procs -----------memory---------- ---swap-- -----io---- --system-- ----cpu----

 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa

 0  5    176  14912  12224 1799968    0    0    27  6670  179    52  0  4 58 38

 0  5    176  17344  12576 1801680    0    0     0     0 4538   240  0  7 25 68

 1  2    176  13792  12752 1741648    0    0    84 734108 4451   176  0 21 31 47

 0  4    176  16096  12832 1737440    0    0     4 12480 4711   184  0  2 50 48

 0  4    176  18848  12832 1737440    0    0    32     0 4424    33  0  0 50 50

 0  4    176  21152  12848 1737424    0    0     0     4 4432   169  0  0 50 50

 0  3    176  26976  12848 1737424    0    0     0     0 4460    41  0  1 50 49

 0  3    176  29216  12848 1737424    0    0    80     0 4479   167  0  0 50 50

 0  3    176  32288  12848 1737424    0    0   112     0 4375    35  0  0 50 50

 0  3    176  35488  12848 1737424    0    0     0     0 4479   167  0  1 50 49

 0  3    176  38816  12848 1739488    0    0     8     0 4403    31  0  1 50 49

 0  3    176  41888  12848 1739488    0    0     0     0 4464   167  0  1 50 49

 0  3    176  45536  12848 1739488    0    0     0     0 4446    29  0  1 50 49

 0  2    176  47840  12848 1739488    0    0     0     0 4451   171  0  1 50 49

 0  2    176  50720  12848 1739488    0    0     0     0 4373    31  0  0 50 50

 0  2    176  53152  12848 1739488    0    0     0     0 4426   165  0  0 50 50

 0  2    176  56096  12848 1739488    0    0     0     0 4374    29  0  0 50 50

 0  2    176  58080  12848 1739488    0    0     0     0 4439   165  0  0 50 50

 0  2    176  61152  12848 1739488    0    0     0     0 4348    33  0  1 50 49

 0  2    176  64608  12848 1739488    0    0     0     0 4439   167  0  1 50 49

 0  2    176  67104  12848 1739488    0    0     0     0 4361    29  0  1 50 49

 0  2    176  70304  12848 1739488    0    0     0     0 4448   165  0  0 50 50

 0  2    176  72992  12848 1739488    0    0     0     0 4366    29  0  1 50 49

 0  2    176  75616  12848 1739488    0    0     0     0 4431   169  0  0 50 50

 1  3    176  77312  12960 1762080    0    0     8  4016 4320    31  0 15 56 29

 2  2    176  12224  13408 1829744    0    0    36 58512 4836   606  0 17 33 49

 0  5    176  12672  13328 1813312    0    0     4 193108 4550    97  0 14 25 61

 0  5    176  17408  13360 1813280    0    0    20     0 4583   225  0  9 25 66

 1  4    176  12032  13392 1821504    0    0     4     0 4473    62  0  3 23 74

 0  5    176  19904  13312 1817456    0    0     4     0 4565   222  0  7  0 93

 1  5    176  17312  13712 1817056    0    0    20 24372 4525   298  0 18 10 72

 0  4    176  17184  14400 1812240    0    0     8 42784 4649   451  0 13 40 48

 0  3    176  17184  14416 1812224    0    0    36 33828 4446   138  0  1 51 49

 0  6    176  16288  14640 1760400    0    0     0 647860 4705   622  0 22 23 55

 0  6    176  15136  14864 1764304    0    0     4     0 4484   407  0  5 25 70

 0  6    176  18144  14896 1764272    0    0     8     0 4562   241  0  1 25 74

 1  6    176  11744  15248 1776304    0    0     4     0 4476   515  0  7 25 68

 0  6    176  18080  15408 1772016    0    0     8     0 4542   785  0  3 25 72

 0  6    176  21856  15408 1772016    0    0    16     0 4478    78  0  1 25 74

 0  6    176  17376  15760 1779920    0    0    48     0 4566   564  0  8 25 67

 0  6    176  16160  15888 1783920    0    0     4     0 4459   428  0  3 25 72

 0  6    176  20064  15888 1783920    0    0    80     0 4551   208  0  1 25 74

 2  5    176  15072  15968 1792096    0    0    16     0 4458    78  0  2 25 73

 0  6    176  14176  16336 1791728    0    0     4     0 4546   443  0  9 25 66

 1  5    176  16800  16352 1793776    0    0    16     0 4456    80  0  2 25 73

 0  6    176  13536  14688 1801632    0    0     0     0 4498   530  0  6 25 69

 0  6    176  19168  14704 1799552    0    0     4     0 4442    97  0  2 25 73

 0  6    176  22048  14704 1799552    0    0    80     0 4471   207  0  0 25 75

 1  7    176  14304  14688 1783056    0    0    24 249076 4458   159  0 13 26 60

 0  3    176  13152  14448 1744080    0    0     4 500260 4601   226  0 15 30 55

 0  4    176  16928  14480 1739920    0    0     4  4112 4749    33  0  1 50 49

 0  4    176  20192  14480 1739920    0    0    32     0 4569   167  0  1 50 49

 0  4    176  22752  14496 1739904    0    0    16     4 4389    33  0  0 50 50

 0  3    176  25184  14496 1739904    0    0     0     0 4422   173  0  1 50 49

 0  3    176  27680  14496 1739904    0    0    16     0 4339    33  0  0 50 50

 0  3    176  29984  14496 1739904    0    0     0     0 4413   165  0  0 50 50

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Find a mechine with HP SMART RAID CONTROLLER (any of P400, P600, E200)
2. Execute dd commands.
3. Run vmstat in another console and you can get the result.
  
Actual results:

But If we install the kernel of 2.6.9-59(RHEL4U6beta), the vmstat can report 
consecutive I/O.

Expected results:


Additional info:

What the customer did:

Installed the kernel of RHEL4.4 RHEL4.5.

Update cciss driver to latest version on RHEL4.3

The question is:

Was the output of vmstat OK or not? 

Is it a issue on kernel, driver or hardware?

Any advice if we want to make further detail analysis.

Thanks
Comment 1 Zhenyong(Jerry) Jiang 2007-10-09 05:39:51 EDT
Created attachment 221041 [details]
vmstat result
Comment 2 Eric Sandeen 2007-10-22 11:58:03 EDT
What happens if you dd to the raw device, rather than through the filesystem? 
This would more directly test cciss, with the filesystem out of the way.
Comment 3 Zhenyong(Jerry) Jiang 2007-10-24 05:06:12 EDT
I changed the dirty_writeback_centisecs to zero, and it looks ok now.

Thank you.

BTW. dd to raw disk seems ok. 
But RHEL4u6 runs "dd file" well to both raw disk and ext3 filesystem. 
Comment 4 Linda Wang 2007-11-15 16:27:35 EST
per comment#3, close as "WORKSFORME" via tunable parameters:
dirty_writeback_centisecs.

Note You need to log in before you can comment on or make changes to this bug.